{
    "name": "",
    "description": "",
    "spec": [
        {
            "question_name": "Instance Name",
            "question_description": "",
            "required": true,
            "type": "text",
            "variable": "instance_name",
            "min": 5,
            "max": 32,
            "default": "idmsrv",
            "choices": ""
        },
        {
            "question_name": "Vault Azure SSH Public Key",
            "question_description": "",
            "required": true,
            "type": "password",
            "variable": "azure_ssh_public_key",
            "min": 5,
            "max": 1024,
            "default": "{{ azure_ssh_public_key }}",
            "choices": ""
        },
        {
            "question_name": "Instance Flavor",
            "question_description": "",
            "required": true,
            "type": "multiplechoice",
            "variable": "instance_flavor",
            "min": null,
            "max": null,
            "default": "Standard_DS2_v2",
            "choices": "Standard_B1s\nStandard_DS1_v2\nStandard_DS2_v2\nStandard_DS3_v2\nStandard_DS4_v2",
        },
        {
            "question_name": "Provider Type",
            "question_description": "",
            "required": true,
            "type": "multiplechoice",
            "variable": "type",
            "min": null,
            "max": null,
            "default": "azure",
            "choices": "ec2\ngcp\nazure\nvmware"
        }
    ]
}
